RADOSGW-ADMIN(8)

NAME
radosgw-admin - rados REST gateway user administration utility

SYNOPSIS
radosgw-admin command [ options ... ]

DESCRIPTION

radosgw-admin is a RADOS gateway user administration utility. It allows creating and modifying users.

COMMANDS

command can be one of the following options:

user create
    Create a new user

user modify
    Modify a user

user info
    Display information of a user, and any potentially available subusers and keys

user rm
    Remove a user

subuser create
    Create a new subuser (primarily useful for clients using the Swift API)

subuser modify
    Modify a subuser

subuser rm
    Remove a subuser

bucket list
    List all buckets

bucket unlink
    Remove a bucket

bucket rm
    Remove a bucket

object rm
    Remove an object

key create
    Create an access key

key rm
    Remove an access key

pool add
    Add an existing pool for data placement

pool rm
    Remove an existing pool from data placement set

pools list
    List placement active set

policy
    Display bucket/object policy

log show
    Show the log of a bucket (with a specified date)

usage show
    Show the usage information (with optional user and date range)

usage trim
    Trim usage information (with optional user and date range)

orphans find
    Init and run search for leaked rados objects

orphans finish
    Clean up search for leaked rados objects

OPTIONS

-c ceph.conf, --conf=ceph.conf
    Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

-m monaddress[:port]
    Connect to specified monitor (instead of looking through ceph.conf).

--uid=uid
    The radosgw user ID.

--secret=secret
    The secret associated with a given key.

--display-name=name
    Configure the display name of the user.

--email=email
    The e-mail address of the user

--bucket=bucket
    Specify the bucket name.

--object=object
    Specify the object name.

--date=yyyy-mm-dd
    The date needed for some commands

--start-date=yyyy-mm-dd
    The start date needed for some commands

--end-date=yyyy-mm-dd
    The end date needed for some commands

--auth-uid=auid
    The librados auid

--purge-data
    Remove user data before user removal

--purge-objects
    Remove all objects before bucket removal

--lazy-remove
    Defer removal of object tail

ORPHANS SEARCH OPTIONS

--pool
    Data pool to scan for leaked rados objects

--num-shards
    Number of shards to use for keeping the temporary scan info

EXAMPLES

Generate a new user:

$ radosgw-admin user create --display-name="johnny rotten" --uid=johnny
{ "user_id": "johnny",
  "rados_uid": 0,
  "display_name": "johnny rotten",
  "email": "",
  "suspended": 0,
  "subusers": [],
  "keys": [
        { "user": "johnny",
          "access_key": "TCICW53D9BQ2VGC46I44",
          "secret_key": "tfm9aHMI8X76L3UdgE+ZQaJag1vJQmE6HDb5Lbrz"}],
  "swift_keys": []}

Remove a user:

$ radosgw-admin user rm --uid=johnny

Remove a user and all associated buckets with their contents:

$ radosgw-admin user rm --uid=johnny --purge-data

Remove a bucket:

$ radosgw-admin bucket unlink --bucket=foo

Show the logs of a bucket from April 1st, 2012:

$ radosgw-admin log show --bucket=foo --date=2012-04-01

Show usage information for user from March 1st to (but not including) April 1st, 2012:

$ radosgw-admin usage show --uid=johnny \
                --start-date=2012-03-01 --end-date=2012-04-01

Show only summary of usage information for all users:

$ radosgw-admin usage show --show-log-entries=false

Trim usage information for user until March 1st, 2012:

$ radosgw-admin usage trim --uid=johnny --end-date=2012-04-01

AVAILABILITY

radosgw-admin is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

ceph(8)

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons BY-SA